setwd("C:/Documents and Settings/John/My Documents/Tables Into Graphs_Main")
#Iversen and Soskice

#Table 1 

#get cell counts
#first: year data
prop.left <- 342
prop.right <- 120
maj.left <- 86
maj.right <- 256
#second: gov't data (in parentheses in table)
prop.left.gov <- 8
prop.right.gov <- 1
maj.left.gov <- 0
maj.right.gov <- 8

#create matrix for stacked barplot
#note: since using horizontal barplot, need to invert matrices and labels
year.matrix <- 100* cbind(c(maj.left/(maj.left+maj.right), maj.right/(maj.left+maj.right)),
    c(prop.left/(prop.left+prop.right), prop.right/(prop.left+prop.right)))
    #looks like this --- rows are reversed compared to what appears in bar plot:
    #      [,1]     [,2]
    #[1,] 25.1462 74.02597
    #[2,] 74.8538 25.97403
country.matrix <- 100* cbind(c(maj.left.gov/(maj.left.gov+maj.right.gov), maj.right.gov/(maj.left.gov+maj.right.gov)),
    c(prop.left.gov/(prop.left.gov+prop.right.gov), prop.right.gov/(prop.left.gov+prop.right.gov)))
    #looks like this:
    #     [,1]     [,2]
    #[1,]    0 88.88889
    #[2,]  100 11.11111

y.label <- c("Majoritarian", "Proportional") #again, reversed from order it will appear in plot

#barplot
pdf("iversen_fig1.pdf", width = 5.5, height = 2) #open pdf device
layout(cbind(1,2), widths = c(5,4))#because we are only using y-axis labels in left plot,
    #we use layout function to set up unequal panels, with more room in left plot.
    #this is accomplished with the "width" command, which creates a 5:4 ratio between 
    #left and right plot, respectively
par(mar=c(3,4.5,3,1))#set margins for left plot
year.bar <- barplot(year.matrix, axes = F, horiz = T,#create horizontal barplot; turn off axes for fine control below 
    beside = F, main = "", col = c(gray(.8),#beside = F creates stacked barplots rather than side-by-side
    gray(.9), gray(.8), gray(.9)))#"col" command created different shading for left side of bars and right side
axis(1, at = c(0,25,50,75,100), labels = c(0, 25, 50, 75, "100%"), #draw x-axis, at 25th percentile intervals.  
    cex.axis = .8, mgp = c(2,.5,0))# cex.axis =.8 shrinks axis labels, 2nd command in mgp moves labels closer to tick marks
axis(2, at = year.bar, labels = y.label, tick = F, las = 1,#draw y-axis, labeled using "y.label" vector. set Tick=F to not draw tick marks; las = 1 draws labels perpendicular to y-axis
    mgp = c(2,.5,0), cex.axis = .8) #
mtext("Percentage of Years\nWith Left Governments,\n1945-1998", 3, line = .5, #add title to plot; 3 = top axis, line = .5 adjusts distance from top of plot
    cex = .8, font = 2) #cex reduces font size, font = 2 for bold text
#add counts inside each bar segment
text(40, year.bar[2], "342", cex = .8)
text(88, year.bar[2], "120", cex = .8)
text(10, year.bar[1], "86", cex = .8)
text(60, year.bar[1], "256", cex = .8)

#begin right plot
par(mar=c(3,1,3,1))  #set margins
country.bar <- barplot(country.matrix, axes = F, horiz = T, #same as above, but using country.matrix
    beside = F, main = "", col = c(gray(.8),
    gray(.9), gray(.8), gray(.9)))
axis(1, at = c(0,25,50,75,100), labels = c(0, 25, 50, 75, "100%"), cex.axis = .8,  mgp = c(2,.5,0))#draw x axis
axis(2, at = country.bar, labels = c("",""), tick = F, las = 1, #draw y-axis
    line = -.2,  mgp = c(2,.5,0), cex.axis = .8)
mtext("Percentage of Countries With\nCenter-Left Governments at\nLeast 50\% of Time, 1945-1998", 3, line = .5, 
    cex = .8, font = 2) 
#add counts inside each bar segment
text(50, year.bar[2], "8", cex = .8)
text(95, year.bar[2], "1", cex = .8)
text(50, year.bar[1], "0/8", cex = .8)

dev.off() #turn off pdf device; file is created.
########################################################

###Table 4 

#try first as a 2 x 2 dot-plot:

#enter data as matrix
    #Majoritarian
    #1st column will be labels for graph
    
major <- cbind(c("Australia (Majority)", "Canada (SMP)", "France (Run-off)", 
    "Ireland (STV)", "Japan (SNTV)", "New Zealand (SMP)", "UK (SMP)", "USA (SMP)"), 
    c(2.5, 2.2, 3.8, 2.8, 2.7, 2.0, 2.1, 1.9), c(.19, .13, .16, .70, .61, 0, .16, .39))

#vectors instead
major.countries <- c("Australia (Majority)", "Canada (SMP)", "France (Run-off)", 
    "Ireland (STV)", "Japan (SNTV)", "New Zealand (SMP)", "UK (SMP)", "USA (SMP)")
major.parties <- c(2.5, 2.2, 3.8, 2.8, 2.7, 2.0, 2.1, 1.9) 
major.system <- c(.19, .13, .16, .70, .61, 0, .16, .39)

#proportional
    #matrix
prop <- cbind(c("Austria", "Belgium", "Denmark", "Finland", "Germany", "Italy", 
    "Netherlands", "Norway", "Sweden"), c(2.4,5.2, 4.4, 5.1, 2.6, 4, 4.6, 3.3, 3.3),
    c(.89, .86, 96, .87, .91, .91, 1, .76, .9))
    
#vectors
prop.countries <- c("Austria", "Belgium", "Denmark", "Finland", "Germany", "Italy", 
    "Netherlands", "Norway", "Sweden")
prop.parties <-  c(2.4,5.2, 4.4, 5.1, 2.6, 4, 4.6, 3.3, 3.3)
prop.system <- c(.89, .86, .96, .87, .91, .91, 1, .76, .9)


#homemade dotplots

    #create dummies for y-axis
y.axis.major <- c(1:length(major.countries))
y.axis.prop <- c(1:length(prop.countries))
#sort parties and labels by parties, low to high

sort.major.parties <- sort(major.parties)
sort.major.countries <- major.countries[order(major.parties)]
sort.prop.parties <- sort(prop.parties)
sort.prop.countries <- prop.countries[order(prop.parties)]

# par(mfrow=c(2,2), mar=c(3,7,3,3)) # set up 2 plots side by side
##setwd("E:/Tables Into Graphs")
#pdf("iversen_fig4.pdf")

#Create 2x2 grid for figures; use layout command to only use labels for
    #left-hand plots
layout(rbind(c(1,2), c(3,4)), 
    widths = rbind(c(4,3.2,4,3.2)), heights=c(4,4),  respect = T)
#layout.show(4)
x.size <- .8 # dummy for size of x-axis labels

par(mar=c(1,7,3,1))

#plot parties for maj. systems 
plot(sort.major.parties, y.axis.major, xlim = c(min(major.parties,prop.parties)-.1, 
    max(major.parties,prop.parties)+.1), #draw points
    type = "p", axes = F, xlab = "", ylab = "", pch = 19, 
    main = "")
abline(h = y.axis.major, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(2,5.5, by=1), labels = seq(2,5.5, by=1), 
    cex = 1, las = 1, tick = T, cex.axis = x.size,
    line = 0, mgp = c(2,.5,0))#mgp moves label closer to tick marks
axis(2, at = y.axis.major, labels = sort.major.countries, tick = T, las  = 1, 
    line =0, cex.axis = 1)  
mtext("Effective Number of\nLegislative Parties", 3, line = .6, cex = 1, font=2) # add title
mtext("Majoritarian", 3, font = 2, cex = 1, line = .3, adj = -1.7)#create label for Maj. countries
segments(2.5, 0, 2.5, 9, lty =2) # drop line through mean for comparison

#plot majoritarian system proportionality 
 
par(mar=c(1,3,3,1))   
sort.major.system <- major.system[order(major.parties)] #use same order as first plot

plot(sort.major.system, y.axis.major, xlim = c(min(major.system,prop.system)-.1, 
    max(major.system,prop.system)+.1), #draw points
    type = "p", axes = F, xlab = "", ylab = "", pch = 19)
abline(h = y.axis.major, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(0,1, by=.25), labels = seq(0,1, by=.25), 
    cex = 1, las = 1, tick = T, cex.axis = x.size, 
    line = 0, mgp = c(2,.5,0))#mgp moves label closer to tick marks
axis(2, at = y.axis.major, labels = F, tick = T, las  = 1) # add tick marks
segments(.3, 0, .3, 9, lty =2) # drop line through mean for comparison
mtext("Proportionality of\nElectoral System", 3, line = .6, cex = 1, font=2) # add title

#plot parties for proportion

par(mar=c(3,7,2,1))
plot(sort.prop.parties, y.axis.prop, xlim = c(min(major.parties,prop.parties)-.1, 
    max(major.parties,prop.parties)+.1), #draw points
    type = "p", axes = F, xlab = "", ylab = "", pch = 19, 
    main = "")
abline(h = y.axis.prop, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(2,5.5, by=1), labels = seq(2,5.5, by=1), 
    cex = 1, las = 1, tick = T, cex.axis = x.size,
    line = 0, mgp = c(2,.5,0))#mgp moves label closer to tick marks
axis(2, at = y.axis.prop, labels = sort.prop.countries, tick = T, las  = 1, 
    line =0, cex.axis =1)    
segments(3.9, 0, 3.9, 9, lty =2) # drop line through mean for comparison
mtext("Proportional", 3, font = 2, cex = 1, line = .3, adj = -1.7) #create label for Prop. countries

#plot system proportionality for proportional systems
    
par(mar=c(3,3,2,1))      
sort.prop.system <- prop.system[order(prop.parties)] #use same order as first plot

plot(sort.prop.system, y.axis.prop, xlim = c(min(major.system,prop.system)-.1, 
    max(major.system,prop.system)+.1), #draw points
    type = "p", axes = F, xlab = "", ylab = "", pch = 19)
abline(h = y.axis.prop, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(0,1, by=.25), labels = seq(0,1, by=.25), 
    cex = 1, las = 1, tick = T, cex.axis = x.size,
    line = 0, mgp = c(2,.5,0))#mgp moves label closer to tick marks
axis(2, at = y.axis.prop, labels = F, tick = T, las  = 1) # add tick marks
segments(.9, 0, .9, 9, lty =2) # drop line through mean for comparison
  
dev.off()
