setwd("C:\\Documents and Settings\\John\\My Documents\\Tables Into Graphs_Main")

article.coding <- read.dta("tables2graphs.dta")
attach.all(article.coding)

counts <- table(subtag, type, exclude = c("", ""))

graph.counts <-  counts[,1]
table.counts <- counts[,2]
all.counts <- sort(graph.counts+table.counts, decreasing =T)
total.graphs <- sum(graph.counts)
total.tables <- sum(table.counts)

#place in following order

label.vec <- c("Estimates and\nUncertainties", "Summary Stats", 
    "Predicted Values", "Non-numeric", "Other", "Mathematical" 
    )

#fix later to automate

graph.counts.sorted <- c(0, 27, 41, 7, 0, 6)
table.counts.sorted <- c(79, 47, 7, 12, 13, 0)

#2 dotplots, side-by-side
#1) percent of total in each category
#2) percent of tables for each cat
#left-hand plots
pdf("table_graph_freq.pdf", height = 3.5, width  = 6)

layout(rbind(c(1,2)), 
    widths = rbind(c(5,3.65)), respect = F)
#layout.show(2)

y.axis <-(length(all.counts):1)
x.size<-.8
point.size <-.7
par(mar=c(4, 6, 4, 1))

plot(100*(all.counts/sum(counts)), y.axis, xlim = c(- .1,
    40.1), ylim = c(min(y.axis)-.1, max(y.axis) +.1), type = "p", axes = F, xlab = "", ylab = "", pch = 19, 
    main = "", cex = point.size)
abline(h = y.axis, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(0,40, by=10), labels = c(0, 10, 20, 30, "40 %"),
    cex = 1, las = 1, tick = T, cex.axis = x.size,
    line = 0, mgp = c(2,.5,0))
axis(2, at = y.axis, labels = label.vec, tick = T, las  = 1, 
    line =0, cex.axis = .8, hadj = .5,  mgp = c(2,3.1,0)) #hadj centers axis labels
mtext("Percentage of All\nGraphs and Tables", 3, line = 1, cex =1, font = 2)
    
par(mar=c(4, 1, 4, 1))

plot(100-100*(table.counts.sorted/all.counts), y.axis, ylim = c(min(y.axis)-.1, max(y.axis) +.1), 
    xlim = c(-1,101) ,type = "p", axes = F, xlab = "", ylab = "", pch = 19, 
    main = "", cex = point.size)
abline(h = y.axis, lty = "dotted") # draw lines
box(bty = "o")
axis(1, at=seq(0,100, by=25), labels = c(0, 25, 50, 75, "100 %"), 
    cex = 1, las = 1, tick = T, cex.axis = x.size,
    line = 0, mgp = c(2,.5,0))
axis(2, at = y.axis, labels = F, tick = F)  
mtext("Percentage of Graphs\nWithin Each Category", 3, line = 1, cex =1, font = 2)
  
dev.off()
